Skip to main content
`Ctrl`+`K`

# numpy.broadcast_shapes

numpy.broadcast_shapes(*args)

  Broadcast the input shapes into a single shape.

  Learn more about broadcasting here.

  Added in version 1.20.0.

  Parameters:
    *args tuples of ints, or ints

      The shapes to be broadcast against each other.

  Returns:
    tuple

      Broadcasted shape.

  Raises:
    ValueError

      If the shapes are not compatible and cannot be broadcast according to NumPy’s broadcasting rules.

  See also

  `broadcast`
  `broadcast_arrays`
  `broadcast_to`

  Examples

      >>> import numpy as np
      >>> np.broadcast_shapes((1, 2), (3, 1), (3, 2))
      (3, 2)

      >>> np.broadcast_shapes((6, 7), (5, 6, 1), (7,), (5, 1, 7))
      (5, 6, 7)